petsc-3.4.2 2013-07-02

# MatDenseRestoreArray

returns access to the array where the data for a SeqDense matrix is stored obtained by MatDenseGetArray()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseRestoreArray(Mat A,PetscScalar **array)

Not Collective

### Input Parameters

mat -a MATSEQDENSE matrix
array -pointer to the data

### See Also

MatDenseGetArray()

Level:intermediate
Location:src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex30.c.html